/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/
/********************************************************************/
#include "stdafx.h"
#include "IO/GLFileExporter.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

CGLFileExporter::CGLFileExporter(const CString& strDesc)
	 : CGLFile(strDesc)
{
}

CGLFileExporter::CGLFileExporter(UINT nIDSDesc)
	 : CGLFile(nIDSDesc)
{
}

/// 保存する際に何らかのオプションが存在するか否かを返す。
///
/// 存在する場合は、サブクラスで true を返すようにオーバーライドすること。
bool CGLFileExporter::HasOption() const
{
	return false;
}

/// 「ファイルを保存」ダイアログの「オプション」ボタンのハンドラー
///
/// 将来の拡張性のため、Template Method にしておく。
void CGLFileExporter::OnSetOption()
{
	// 何かダイアログを表示する（かもしれない）。
	DoShowOptionDialog();
}

/// サブクラスで必要に応じてダイアログを表示して、
/// サブクラスのメンバーデータを設定する。
void CGLFileExporter::DoShowOptionDialog()
{
}
